application.cpp File Reference

Implementation of the claw::application class. More...

`#include <claw/application.hpp>`
`#include <claw/logger.hpp>`
`#include <claw/log_stream_uniq.hpp>`
`#include <claw/log_stream_concise.hpp>`
`#include <claw/claw_gettext.hpp>`

Go to the source code of this file.

## Macros

#define | CLAW_MK_STR_(e)
| Build a char[] string representing an expression.
#define | CLAW_MK_STR(e)
| Build a char[] string representing an expression.

## Detailed Description

Implementation of the claw::application class.

Author
  Julien Jorge

Definition in file application.cpp.

## Macro Definition Documentation

## CLAW_MK_STR

#define CLAW_MK_STR | ( |  | e | ) |

Value:
CLAW_MK_STR_(e)
CLAW_MK_STR_
#define CLAW_MK_STR_(e)
Build a char[] string representing an expression.
Definition application.cpp:41

Build a char[] string representing an expression.

Parameters

  e | The content of the string.

Definition at line 47 of file application.cpp.

Referenced by claw::application::application().

## CLAW_MK_STR_

#define CLAW_MK_STR_ | ( |  | e | ) |

Value:
#e

Build a char[] string representing an expression.

Parameters

  e | The content of the string.

Definition at line 41 of file application.cpp.